Wireless Network
50 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getApGroupList | GET | Get AP Group list |
| createApGroup | POST | Create new AP Group |
| deleteApGroup | DELETE | Delete an existing AP Group |
| updateApGroup | PATCH | Modify an existing AP Group |
| getApGroupInfo | GET | Get an existing AP Group info |
| getAllApGroupListBySite | GET | Get All AP grouping by ap group |
| countApGroups | GET | Check if the number of AP Groups is out of limit |
| countWlans | GET | Check if the number of WLAN groups is out of limit (deprecated) |
| getSiteApExist6G | GET | Get the site exists 6G ap |
| getSsidsBySite | GET | Get all ssids of the site |
| deleteSsidBySite | DELETE | Delete an existing SSID |
| getSsidDetailV2 | GET | Get SSID detail info |
| querySsidBindApGroups | GET | Query AP Groups bound to the SSID |
| updateSsidBindApGroups | PATCH | Update SSID binding ap groups |
| updateSsidBandSteerConfigBySite | PATCH | Update SSID band steer config by site |
| updateSsidBasicConfigBySite | PATCH | Update SSID basic config by site |
| updateSsidDhcpOptionConfigBySite | PATCH | Update SSID DHCP option 82 config by site |
| updateSsidEnableStatusBySite_1 | PATCH | Update SSID Enable Status by site |
| updateSsidHotspotV2SettingBySite | PATCH | Update SSID Hotspot2.0 config by site |
| updateSsidLoadBalanceConfigBySite | PATCH | Update SSID load balance config by site |
| updateSsidMacFilterConfigBySite | PATCH | Update SSID mac filter config by site |
| updateSsidMultiCastConfigBySite | PATCH | Update SSID Multicast/Broadcast management config by site |
| updateSsidRateControlConfigBySite | PATCH | Update SSID 802.11 rate control config by site |
| updateSsidRateLimitConfigBySite | PATCH | Update SSID rate limit config by site |
| updateSsidWifiCallingConfigBySite | PATCH | Update SSID wifi calling config by site |
| updateSsidWlanScheduleBySite | PATCH | Update SSID WLAN schedule config by site |
| querySsidDuplicateNameBySite_1 | GET | Query SSIDs with the same name |
| getWlanGroupList | GET | Get WLAN Group list (deprecated) |
| createWlanGroup | POST | Create new WLAN Group (deprecated) |
| deleteWlanGroup | DELETE | Delete an existing WLAN Group (deprecated) |
| updateWlanGroup | PATCH | Modify an existing WLAN Group (deprecated) |
| getSsidList | GET | Get SSID list (deprecated) |
| createSsid | POST | Create new SSID (deprecated) |
| deleteSsid | DELETE | Delete an existing SSID (deprecated) |
| getSsidDetail | GET | Get SSID detail info (deprecated) |
| updateSsidBandSteerConfig | PATCH | Update SSID band steer config (deprecated) |
| updateSsidBasicConfig | PATCH | Update SSID basic config (deprecated) |
| updateSsidDhcpOptionConfig | PATCH | Update SSID DHCP option 82 config (deprecated) |
| updateSsidHotspotV2Setting | PATCH | Update SSID Hotspot2.0 config (deprecated) |
| updateSsidLoadBalanceConfig | PATCH | Update SSID load balance config (deprecated) |
| updateSsidMacFilterConfig | PATCH | Update SSID mac filter config (deprecated) |
| updateSsidMultiCastConfig | PATCH | Update SSID Multicast/Broadcast management config (deprecated) |
| updateSsidRateControlConfig | PATCH | Update SSID 802.11 rate control config (deprecated) |
| updateSsidRateLimitConfig | PATCH | Update SSID rate limit config (deprecated) |
| updateSsidWifiCallingConfig | PATCH | Update SSID wifi calling config (deprecated) |
| updateSsidWlanSchedule | PATCH | Update SSID WLAN schedule config (deprecated) |
| getSsidListV2 | GET | Get SSID list by site |
| createSsidV2 | POST | Create new SSID v2 |
| getGridWlanGroup | GET | Get WLAN Group list paging query (deprecated) |
| getWlanGroup | GET | Get WLAN Group by wlan id (deprecated) |
getApGroupList
GET /openapi/v1/{omadacId}/sites/{siteId}/ap-groups
Get AP Group list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field name |
// omada_call_operation
{
"operationId": "getApGroupList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get AP Group list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
createApGroup
POST /openapi/v1/{omadacId}/sites/{siteId}/ap-groups
Create new AP Group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateApGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | AP group name should contain 1 to 128 characters. |
apMacs | array<string> | no | List of AP device MAC addresses bound to this AP group. Can be empty. |
// omada_call_operation
{
"operationId": "createApGroup",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new AP Group
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33200 - This WLAN group has been already created.
-33201 - The number of WLAN groups has reached the limit.
-33202 - This WLAN group is not in the same site.
deleteApGroup
DELETE /openapi/v1/{omadacId}/sites/{siteId}/ap-groups/{apGroupId}
Delete an existing AP Group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apGroupId | path | string | yes | AP GROUP ID |
// omada_call_operation
{
"operationId": "deleteApGroup",
"params": {
"siteId": "<siteId>",
"apGroupId": "<apGroupId>"
}
}Details, permissions and error codes
Delete an existing AP Group
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33203 - The default WLAN group cannot be deleted.
updateApGroup
PATCH /openapi/v1/{omadacId}/sites/{siteId}/ap-groups/{apGroupId}
Modify an existing AP Group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apGroupId | path | string | yes | AP GROUP ID |
Request body — application/json (required) — schema UpdateApGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | AP group name should contain 1 to 128 characters. |
addApMacs | array<string> | no | List of AP device MAC addresses to be added to this AP group. Can be empty. |
removeApMacs | array<string> | no | List of AP device MAC addresses to be removed from this AP group. Can be empty. |
// omada_call_operation
{
"operationId": "updateApGroup",
"params": {
"siteId": "<siteId>",
"apGroupId": "<apGroupId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing AP Group
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33200 - This WLAN group has been already created.
getApGroupInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/ap-groups/{apGroupId}/info
Get an existing AP Group info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
apGroupId | path | string | yes | AP GROUP ID |
// omada_call_operation
{
"operationId": "getApGroupInfo",
"params": {
"siteId": "<siteId>",
"apGroupId": "<apGroupId>"
}
}Details, permissions and error codes
Get an existing AP Group info
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getAllApGroupListBySite
GET /openapi/v1/{omadacId}/sites/{siteId}/ap-groups/aps
Get All AP grouping by ap group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getAllApGroupListBySite",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get All AP grouping by ap group
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
countApGroups
GET /openapi/v1/{omadacId}/sites/{siteId}/count-ap-groups
Check if the number of AP Groups is out of limit
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "countApGroups",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Check if the number of AP Groups is out of limit. The value of "ApGroupNum" indicates number of AP group and the value of "exceeded" indicates whether the number of AP Groups exceeds the limit.
The limit is the total number that a Controller can create, not the limit of a single Site.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
countWlans
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/cmd/countWlans
Deprecated
This operation is deprecated.
Check if the number of WLAN groups is out of limit
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | (site ID or site name) |
// omada_call_operation
{
"operationId": "countWlans",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Check if the number of WLAN groups is out of limit. The value of "wlanGroupNum" indicates number of wlan group and the value of "exceeded" indicates whether the number of WLANs exceeds the limit. Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Check if the number of AP Groups is out of limit.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getSiteApExist6G
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/multi-band-6g/exist
Get the site exists 6G ap
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSiteApExist6G",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the site exists 6G ap
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getSsidsBySite
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids
Get all ssids of the site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
type | query | integer | yes | Device Type. Supported type: ap and wireless router. 1: ap, 2: wireless router, 3: ap and wireless router |
// omada_call_operation
{
"operationId": "getSsidsBySite",
"params": {
"siteId": "<siteId>",
"type": "<type>"
}
}Details, permissions and error codes
Get all ssids of the site
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
deleteSsidBySite
DELETE /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}
Delete an existing SSID
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
// omada_call_operation
{
"operationId": "deleteSsidBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
}
}Details, permissions and error codes
Delete an existing SSID
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getSsidDetailV2
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}
Get SSID detail info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
// omada_call_operation
{
"operationId": "getSsidDetailV2",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
}
}Details, permissions and error codes
Get SSID detail info
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
querySsidBindApGroups
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/ap-groups
Query AP Groups bound to the SSID
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
// omada_call_operation
{
"operationId": "querySsidBindApGroups",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
}
}Details, permissions and error codes
Query AP Groups bound to the SSID
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
updateSsidBindApGroups
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/ap-groups
Update SSID binding ap groups
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidBindApGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
apGroupIds | array<string> | yes | AP GroupId List to bind with SSID. |
// omada_call_operation
{
"operationId": "updateSsidBindApGroups",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID binding ap groups
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidBandSteerConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/band-steer
Update SSID band steer config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidBandSteerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
mode | integer | yes | should be a value as follows: 0:Disable; 1:Prefer 5GHz/6GHz; 2:Balance; 3:Use site setting. |
// omada_call_operation
{
"operationId": "updateSsidBandSteerConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID band steer config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidBasicConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/basic-config
Update SSID basic config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidBasicConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | SSID name. It should contain 1 to 32 UTF-8 characters. |
band | integer | yes | SSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.) |
autoWanAccess | boolean | no | Whether to enable auto wan access. True: enable, false: disable. |
guestNetEnable | boolean | yes | SSID guest network config status. True: enable, false: disable. |
security | integer | yes | SSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS. |
oweEnable | boolean | no | Opportunistic Wireless Encryption, also known as Enhanced Open, is a certification provided by the Wi-Fi Alliance as part of the WPA3 wireless security standard. OWE will enable two wireless VAPs per radio, one for access of OWE-supported stations, and one for access of other stations. An SSID with OWE enabled will be counted as two SSID entries for 2G and 5G. Only for security is None and band contains 2.4G or 5G. |
broadcast | boolean | yes | SSID broadcast config status. True: enable, false: disable. |
vlanEnable | boolean | yes | SSID VLAN config status. True: enable, false: disable. |
vlanId | integer | no | SSID VLAN ID. This field is required when Parameter [vlanEnable] is true; It should be within the range of 1–4094. |
pskSetting | SsidPskSettingOpenApiVO | no | (SsidPskSettingOpenApiVO not expanded; call omada_get_schema "SsidPskSettingOpenApiVO") |
entSetting | SsidEnterpriseSettingOpenApiVO | no | (SsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "SsidEnterpriseSettingOpenApiVO") |
ppskSetting | SsidPpskSettingOpenApiVO | no | (SsidPpskSettingOpenApiVO not expanded; call omada_get_schema "SsidPpskSettingOpenApiVO") |
mloEnable | boolean | yes | SSID MLO config status. True: enable, false: disable. |
pmfMode | integer | yes | SSID PMF mode. It should be a value as follows: 1: Mandatory; 2: Capable; 3: Disable. |
enable11r | boolean | yes | SSID 802.11r config status. True: enable, false: disable. |
hidePwd | boolean | no | If this field is true, the SSID password will be hidden. |
greEnable | boolean | no | SSID EoGre Tunnel config status. True: enable, false: disable; This configuration can be enabled only when the [VPN - EoGre Tunnel] global config is enabled. |
vlanSetting | SsidVlanSettingOpenApiVO | no | (SsidVlanSettingOpenApiVO not expanded; call omada_get_schema "SsidVlanSettingOpenApiVO") |
prohibitWifiShare | boolean | no | SSID prohibitWifiShare config status. True: enable, false: disable. |
enhancedIotConnectivity | boolean | no | SSID Enhanced IoT Connectivity config status. True: enable, false: disable. This configuration can be enabled only when the 5GHz and 6GHz bands are disabled, the parameters [versionEnt] and [versionPsk] are not set to 4, and the following configurations are disabled: [hotspotV2Enable], [bandSteer], [arpCastEnable], [loadBalance], [enable11r], [gikRekeyPskEnable], [pmfMode], [mloEnable]. |
CondBroadcastCtrl | CondBroadcastCtrlVO | no | (CondBroadcastCtrlVO not expanded; call omada_get_schema "CondBroadcastCtrlVO") |
// omada_call_operation
{
"operationId": "updateSsidBasicConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID basic config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33235 - PPSK without RADIUS do not support WPA Mode with WPA3-SAE.
-33238 - The number of SSIDs on %band% has reached the limit. At most 8 SSIDs can be created on each band.
-33240 - The SSID name should be between 1 and 32 bytes.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-34017 - Only the EKMS authentication method in PPSK with RADIUS supports domain name.
updateSsidDhcpOptionConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/dhcp-option
Update SSID DHCP option 82 config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidDhcpOptionOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
dhcpEnable | boolean | yes | SSID DHCP Option 82 global config status. True: enable, false: disable. |
format | integer | no | SSID DHCP Option 82 format config; It should be a value as follows: 0: ASCII; 1: Binary. |
delimiter | string | no | SSID DHCP Option 82 delimiter config (A single arbitrary ASCII character is acceptable). |
circuitId | array<integer> | no | SSID DHCP Option 82 Circuit-ID config. Circuit-ID is an array formed in the selected order, with each array element corresponding to the following enumeration values: 1: VLAN-ID; 2: AP Radio Mac-Address; 3: SSID-Type; 4: SSID-Name; 5: AP Ethernet MAC address; 6: Site-Name. As in the example [3,1,2,4], the following enumeration values are selected sequentially on the page: SSID-Type, VLAN-ID, AP Radio Mac-Address and SSID-Name. |
remoteId | array<integer> | no | SSID DHCP Option 82 Remote-ID config. Remote-ID is an array formed in the selected order, with each array element corresponding to the following enumeration values: 1: VLAN-ID; 2: AP Radio Mac-Address; 3: SSID-Type; 4: SSID-Name; 5: AP Ethernet MAC address; 6: Site-Name. As in the example [3,1,2,4], the following enumeration values are selected sequentially on the page: SSID-Type, VLAN-ID, AP Radio Mac-Address and SSID-Name. |
// omada_call_operation
{
"operationId": "updateSsidDhcpOptionConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID DHCP option 82 config by site
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidEnableStatusBySite_1
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/enable
Update SSID Enable Status by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidEnableStatusOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ssidEnable | boolean | yes | Enable or disable the SSID |
// omada_call_operation
{
"operationId": "updateSsidEnableStatusBySite_1",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID Enable Status by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidHotspotV2SettingBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/hotspotv2
Update SSID Hotspot2.0 config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes |
Request body — application/json (required) — schema UpdateSsidHotspotV2SettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
hotspotV2Enable | boolean | yes | Whether Hotspot2.0 is enabled.<br />If hotspot2.0 is disabled, other parameters in Hotspot2.0 will be invalid. |
networkType | integer | no | Specify the 802.11u network type.<br /> Parameter networkType should be a value as follows: [0: Private network; 1: Private network with guest access; 2: Chargeable public network; 3: Free public network; 4: Personal device network; 5: Emergency services only network; 14: Test or experimental; 15: Wildcard]. |
plmnId | array<PlmnIdOpenApiVO> | no | PLMN ID list, enter PLMN ID of 802.11u 3GPP cellular network.<br />Note: Up to 6 entries are allowed for the PLMN ID list. |
roamingConsortiumOi | array<RoamingConsortiumOiOpenApiVO> | no | Roaming Consortium Oi list, enter the 802.11u roaming organization identifiers.<br />Note: Up to 3 entries are allowed for the Roaming Consortium Oi list. |
operatorDomain | string | no | Enter the domain name of the hotspot operator.<br />For example, www.omadanetworks.com. |
dgafDisable | boolean | no | Whether to enable DGAF(downstream group-addressed forwarding) disable mode.<br />In DGAF disable mode, the AP will not forward downstream multicast and broadcast packets. |
heSsid | string | no | Homogenous Extended Service Set Identifier, it is used to identify the same type of ESS network set.<br />Note: HESSID should be consistent with one of the BSSIDs of the APs in the zone. |
internet | boolean | no | Internet access support status (network reachability), which indicates that the network is allowed to access the Internet. |
availabilityIpv4 | integer | no | Available type information of IPv4 addresses.<br />Parameter availabilityIpv4 should be a value as follows: [0: Address type not available; 1: Public IPv4 address available; 2: Port-restricted IPv4 address available; 3: Single NATed private IPv4 address available; 4: Double NATed private IPv4 address available; 5: Port-restricted IPv4 address and single NATed IPv4 address available; 6: Port-restricted IPv4 address and double NATed IPv4 address available; 7: Availability of the address type is not known]. |
availabilityIpv6 | integer | no | Available type information of IPv6 addresses.<br /> Parameter availabilityIpv6 should be a value as follows: [0: Address type not available; 1: Address type available; 2: Availability of the address type not known]. |
operatorFriendly | string | no | Hotspot network operator friendly name.<br />Note:Parameter operatorFriendly should contain between 1 and 64 visible ASCII characters, with no Spaces at the beginning and end, and Spaces in between. |
venueInfo | VenueInfoOpenApiVO | no | (VenueInfoOpenApiVO not expanded; call omada_get_schema "VenueInfoOpenApiVO") |
realmList | array<RealmOpenApiVO> | no | Add a profile to identify and describe a NAI (Network Access Identifier) realm accessible using the AP, and the method that this NAI realm uses for authentication.<br />Note: Up to 10 entries are allowed for the NAI Realm list. |
// omada_call_operation
{
"operationId": "updateSsidHotspotV2SettingBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID Hotspot2.0 config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33263 - The current combination of Security and WPA Mode does not support Hotspot2.0.
updateSsidLoadBalanceConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/load-balance
Update SSID load balance config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidLoadBalanceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | SSID Load Balance global config status. True: enable, false: disable. |
// omada_call_operation
{
"operationId": "updateSsidLoadBalanceConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID load balance config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidMacFilterConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/mac-filter
Update SSID mac filter config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidMacFilterOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
macFilterEnable | boolean | yes | SSID MAC Filter global config status. True: enable, false: disable. |
policy | integer | no | SSID MAC Filter policy config mode; It should be a value as follows: 0: Deny List, 1: Allow List. |
macFilterId | string | no | This field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface. |
ouiProfileIdList | array<string> | no | This field represents OUI Profile ID list. OUI Profile can be created using Create OUI profile interface, and OUI Profile ID can be obtained from Get OUI profile summary list interface(This configuration applies to the Pro Site of the Omada Pro Controller only). |
// omada_call_operation
{
"operationId": "updateSsidMacFilterConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID MAC filter config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidMultiCastConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/multicast-config
Update SSID Multicast/Broadcast management config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidMultiCastOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
multiCastEnable | boolean | yes | Whether to enable multicast to unicast, which is disabled by default; true: enable, false: disable |
channelUtil | integer | yes | This item indicates that when the channel utilization reaches the threshold, multicast will no longer be converted to unicast, the default threshold is 100, and the value should be within the range of 0-100. |
arpCastEnable | boolean | yes | Whether to enable ARP cast to unicast, which is disabled by default; true: enable, false: disable |
ipv6CastEnable | boolean | yes | Whether to enable IPv6 multicast to unicast, which is enabled by default; true: enable, false: disable |
filterEnable | boolean | yes | Whether to enable the multicast filter switch, which is disabled by default; true: enable, false: disable |
filterMode | integer | no | This item indicates the status of the filtering protocol, the lowest low bit indicates whether IGMP is enabled, the second low bit indicates whether MDNS is enabled, and the third low bit indicates whether Others is enabled; 1 means enable while 0 means disable. For example, 7(111) means that all are enabled, 1(001) means that only IGMP is enabled. |
macGroupId | string | no | This field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface. |
// omada_call_operation
{
"operationId": "updateSsidMultiCastConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID Multicast/Broadcast management config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidRateControlConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/rate-control
Update SSID 802.11 rate control config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidRateControlOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
rate2gCtrlEnable | boolean | yes | Whether to enable 2.4GHz Data Rate Control |
lowerDensity2g | number | no | 2.4GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [1, 2, 5.5, 6, 9, 11, 12, 18, 24, 36, 48, 54]. |
higherDensity2g | integer | no | 2.4GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54]. |
cckRatesDisable | boolean | no | Whether to disable 2G CCK Rates. If this field is true, Parameter [lowerDensity2g] can not enter the following values: [1, 2, 5.5, 11]. |
clientRatesRequire2g | boolean | no | Whether to require clients to use rates at or above the specified value of 2.4GHz Data Rate Control. |
sendBeacons2g | boolean | no | Whether to enable send beacons at 1Mbps of 2.4GHz Data Rate Control. |
rate5gCtrlEnable | boolean | yes | Whether to enable 5GHz Data Rate Control. |
lowerDensity5g | integer | no | 5GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54]. |
higherDensity5g | integer | no | 5GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54]. |
clientRatesRequire5g | boolean | no | Whether to require clients to use rates at or above the specified value of 5GHz Data Rate Control. |
sendBeacons5g | boolean | no | Whether to enable send beacons at 6Mbps of 5GHz Data Rate Control. |
rate6gCtrlEnable | boolean | no | Whether to enable 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30. |
lowerDensity6g | integer | no | 6GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54].Note: This field will no longer be supported since Omada Controller V5.14.30. |
higherDensity6g | integer | no | 6GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54].Note: This field will no longer be supported since Omada Controller V5.14.30. |
clientRatesRequire6g | boolean | no | Whether to require clients to use rates at or above the specified value of 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30. |
sendBeacons6g | boolean | no | Whether to enable send beacons at 6Mbps of 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30. |
manageRateControl2gEnable | boolean | no | Whether to enable 2GHz Manage Rate Control. |
manageRateControl2g | number | no | 2.4GHz Manage Rate Control lower density value(Unit: Mbps); It should be a value as follows: [1, 2, 5.5, 6, 9, 11, 12, 18, 24, 36, 48, 54]. The higher density value is fixed at 54. |
manageRateControl5gEnable | boolean | no | Whether to enable 5GHz Manage Rate Control. |
manageRateControl5g | integer | no | 5GHz Manage Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54]. The higher density value is fixed at 54. |
// omada_call_operation
{
"operationId": "updateSsidRateControlConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID 802.11 rate control config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidRateLimitConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/rate-limit
Update SSID rate limit config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidRateLimitOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
clientRateLimit | RateLimitSettingOpenApiVO | no | (RateLimitSettingOpenApiVO not expanded; call omada_get_schema "RateLimitSettingOpenApiVO") |
ssidRateLimit | RateLimitSettingOpenApiVO | no | (RateLimitSettingOpenApiVO not expanded; call omada_get_schema "RateLimitSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "updateSsidRateLimitConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID rate limit config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidWifiCallingConfigBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/wifi-calling
Update SSID wifi calling config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateWifiCallingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
wifiCallingEnable | boolean | yes | SSID Wi-Fi Calling global config status. True: enable, false: disable. |
wifiCallingId | string | no | This field represents Wi-Fi Calling Profile ID. Wi-Fi Calling Profile can be created using Create a new wifi calling profile. |
// omada_call_operation
{
"operationId": "updateSsidWifiCallingConfigBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID Wi-Fi Calling config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidWlanScheduleBySite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/{ssidId}/wlan-schedule
Update SSID WLAN schedule config by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidWlanScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
wlanScheduleEnable | boolean | yes | SSID WLAN schedule global config status. True: enable, false: disable. |
action | integer | no | 0 means radio off, indicating the Wi-Fi function is off during the selected period; 1 means radio on, indicating the Wi-Fi function is on during the selected period. |
scheduleId | string | no | This field represents Time Range Profile ID. Time Range Profile can be created using Create time range profile interface, and Time Range Profile ID can be obtained from Get time range profile list interface. |
// omada_call_operation
{
"operationId": "updateSsidWlanScheduleBySite",
"params": {
"siteId": "<siteId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID WLAN schedule config by site
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
querySsidDuplicateNameBySite_1
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/ssids/duplicate-name
Query SSIDs with the same name
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "querySsidDuplicateNameBySite_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Query SSIDs with the same name
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getWlanGroupList
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans
Deprecated
This operation is deprecated.
Get WLAN Group list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getWlanGroupList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get WLAN Group list, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Get AP Group list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
createWlanGroup
POST /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans
Deprecated
This operation is deprecated.
Create new WLAN Group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateWlanGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | WLAN group name should contain 1 to 128 characters. |
clone | boolean | yes | Whether to clone SSID list from other WLAN group. |
clonedWlanId | string | no | WLAN group ID that needs to be cloned. Parameter [clonedWlanId] should not be null when Parameter [clone] is true. |
// omada_call_operation
{
"operationId": "createWlanGroup",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new WLAN Group, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Create new AP Group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33200 - This WLAN group has been already created.
-33201 - The number of WLAN groups has reached the limit.
-33202 - This WLAN group is not in the same site.
deleteWlanGroup
DELETE /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}
Deprecated
This operation is deprecated.
Delete an existing WLAN Group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
// omada_call_operation
{
"operationId": "deleteWlanGroup",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>"
}
}Details, permissions and error codes
Delete an existing WLAN Group, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Delete an existing AP Group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33203 - The default WLAN group cannot be deleted.
updateWlanGroup
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}
Deprecated
This operation is deprecated.
Modify an existing WLAN Group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
Request body — application/json (required) — schema UpdateWlanGroupOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | WLAN group name should contain 1 to 128 characters. |
// omada_call_operation
{
"operationId": "updateWlanGroup",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing WLAN Group, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Modify an existing AP Group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33200 - This WLAN group has been already created.
getSsidList
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids
Deprecated
This operation is deprecated.
Get SSID list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getSsidList",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>"
}
}Details, permissions and error codes
Get SSID list of Wlan group, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Get SSID list by site.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
createSsid
POST /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids
Deprecated
This operation is deprecated.
Create new SSID
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
Request body — application/json (required) — schema CreateSsidOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | SSID name. It should contain 1 to 32 UTF-8 characters. |
deviceType | integer | yes | SSID device type, identify which devices this SSID will take effect; The lowest bit indicates whether [EAP] is included, the second low bit indicates whether [Gateway] is included, 1 means included while 0 means not included; For example, 3(11) means that EAP/Gateway is enabled, 1(01) means that EAP is enabled. |
ssidEnable | boolean | no | SSID enable status. True: enable, false: disable. |
chooseDevices | integer | no | description = select all devices or not. 0 means select all devices, 1 means not select all devices. |
apGroupIds | array<string> | no | AP Group ID list that the SSID is associated with. Supports binding to multiple AP groups. |
band | integer | yes | SSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.) |
guestNetEnable | boolean | yes | SSID guest network config status. True: enable, false: disable. |
security | integer | yes | SSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS. |
broadcast | boolean | yes | SSID broadcast config status. True: enable, false: disable. |
vlanEnable | boolean | yes | SSID VLAN config status. True: enable, false: disable. |
vlanId | integer | no | SSID VLAN ID. This field is required when Parameter [vlanEnable] is true; It should be within the range of 1–4094. If the field vlanSetting is entered, this field must be null. |
pskSetting | SsidPskSettingOpenApiVO | no | (SsidPskSettingOpenApiVO not expanded; call omada_get_schema "SsidPskSettingOpenApiVO") |
entSetting | SsidEnterpriseSettingOpenApiVO | no | (SsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "SsidEnterpriseSettingOpenApiVO") |
ppskSetting | SsidPpskSettingOpenApiVO | no | (SsidPpskSettingOpenApiVO not expanded; call omada_get_schema "SsidPpskSettingOpenApiVO") |
mloEnable | boolean | yes | SSID MLO config status. True: enable, false: disable. |
pmfMode | integer | yes | SSID PMF mode. It should be a value as follows: 1: Mandatory; 2: Capable; 3: Disable. |
enable11r | boolean | yes | SSID 802.11r config status. True: enable, false: disable. |
hidePwd | boolean | yes | If this field is true, the SSID password will be hidden. |
greEnable | boolean | no | SSID EoGre Tunnel config status. True: enable, false: disable. This configuration can be enabled only when the [VPN - EoGre Tunnel] global config is enabled;(This configuration applies to the Pro Site of the Omada Pro Controller only). |
vlanSetting | SsidVlanSettingOpenApiVO | no | (SsidVlanSettingOpenApiVO not expanded; call omada_get_schema "SsidVlanSettingOpenApiVO") |
prohibitWifiShare | boolean | no | SSID prohibitWifiShare config status. True: enable, false: disable. |
wifiCallingEnable | boolean | no | SSID Wifi Calling config status. True: enable, false: disable. |
wifiCallingId | string | no | The ID of the Wi-Fi calling profile bound to the SSID. When parameter [wifiCallingEnable] is true, it should not be null. |
enhancedIotConnectivity | boolean | no | SSID Enhanced IoT Connectivity config status. True: enable, false: disable. This configuration can be enabled only when the 5GHz and 6GHz bands are disabled, the parameters [versionEnt] and [versionPsk] are not set to 4, and the following configurations are disabled: [hotspotV2Enable], [bandSteer], [arpCastEnable], [loadBalance], [enable11r], [gikRekeyPskEnable], [pmfMode], [mloEnable]. |
CondBroadcastCtrl | CondBroadcastCtrlVO | no | (CondBroadcastCtrlVO not expanded; call omada_get_schema "CondBroadcastCtrlVO") |
// omada_call_operation
{
"operationId": "createSsid",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new SSID, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Create new SSID v2.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33240 - The SSID name should be between 1 and 32 bytes.
-33788 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID is not enabled in OUI Based VLAN.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-34017 - Only the EKMS authentication method in PPSK with RADIUS supports domain name.
deleteSsid
DELETE /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}
Deprecated
This operation is deprecated.
Delete an existing SSID
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
// omada_call_operation
{
"operationId": "deleteSsid",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
}
}Details, permissions and error codes
Delete an existing SSID, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Delete an existing SSID.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getSsidDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}
Deprecated
This operation is deprecated.
Get SSID detail info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
// omada_call_operation
{
"operationId": "getSsidDetail",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
}
}Details, permissions and error codes
Get SSID detail info, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Get SSID detail info.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidBandSteerConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-band-steer
Deprecated
This operation is deprecated.
Update SSID band steer config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidBandSteerOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
mode | integer | yes | should be a value as follows: 0:Disable; 1:Prefer 5GHz/6GHz; 2:Balance; 3:Use site setting. |
// omada_call_operation
{
"operationId": "updateSsidBandSteerConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID band steer config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID band steer config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidBasicConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-basic-config
Deprecated
This operation is deprecated.
Update SSID basic config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidBasicConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | SSID name. It should contain 1 to 32 UTF-8 characters. |
band | integer | yes | SSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.) |
autoWanAccess | boolean | no | Whether to enable auto wan access. True: enable, false: disable. |
guestNetEnable | boolean | yes | SSID guest network config status. True: enable, false: disable. |
security | integer | yes | SSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS. |
oweEnable | boolean | no | Opportunistic Wireless Encryption, also known as Enhanced Open, is a certification provided by the Wi-Fi Alliance as part of the WPA3 wireless security standard. OWE will enable two wireless VAPs per radio, one for access of OWE-supported stations, and one for access of other stations. An SSID with OWE enabled will be counted as two SSID entries for 2G and 5G. Only for security is None and band contains 2.4G or 5G. |
broadcast | boolean | yes | SSID broadcast config status. True: enable, false: disable. |
vlanEnable | boolean | yes | SSID VLAN config status. True: enable, false: disable. |
vlanId | integer | no | SSID VLAN ID. This field is required when Parameter [vlanEnable] is true; It should be within the range of 1–4094. |
pskSetting | SsidPskSettingOpenApiVO | no | (SsidPskSettingOpenApiVO not expanded; call omada_get_schema "SsidPskSettingOpenApiVO") |
entSetting | SsidEnterpriseSettingOpenApiVO | no | (SsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "SsidEnterpriseSettingOpenApiVO") |
ppskSetting | SsidPpskSettingOpenApiVO | no | (SsidPpskSettingOpenApiVO not expanded; call omada_get_schema "SsidPpskSettingOpenApiVO") |
mloEnable | boolean | yes | SSID MLO config status. True: enable, false: disable. |
pmfMode | integer | yes | SSID PMF mode. It should be a value as follows: 1: Mandatory; 2: Capable; 3: Disable. |
enable11r | boolean | yes | SSID 802.11r config status. True: enable, false: disable. |
hidePwd | boolean | no | If this field is true, the SSID password will be hidden. |
greEnable | boolean | no | SSID EoGre Tunnel config status. True: enable, false: disable; This configuration can be enabled only when the [VPN - EoGre Tunnel] global config is enabled. |
vlanSetting | SsidVlanSettingOpenApiVO | no | (SsidVlanSettingOpenApiVO not expanded; call omada_get_schema "SsidVlanSettingOpenApiVO") |
prohibitWifiShare | boolean | no | SSID prohibitWifiShare config status. True: enable, false: disable. |
enhancedIotConnectivity | boolean | no | SSID Enhanced IoT Connectivity config status. True: enable, false: disable. This configuration can be enabled only when the 5GHz and 6GHz bands are disabled, the parameters [versionEnt] and [versionPsk] are not set to 4, and the following configurations are disabled: [hotspotV2Enable], [bandSteer], [arpCastEnable], [loadBalance], [enable11r], [gikRekeyPskEnable], [pmfMode], [mloEnable]. |
CondBroadcastCtrl | CondBroadcastCtrlVO | no | (CondBroadcastCtrlVO not expanded; call omada_get_schema "CondBroadcastCtrlVO") |
// omada_call_operation
{
"operationId": "updateSsidBasicConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID basic config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID basic config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33235 - PPSK without RADIUS do not support WPA Mode with WPA3-SAE.
-33238 - The number of SSIDs on %band% has reached the limit. At most 8 SSIDs can be created on each band.
-33240 - The SSID name should be between 1 and 32 bytes.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-34017 - Only the EKMS authentication method in PPSK with RADIUS supports domain name.
updateSsidDhcpOptionConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-dhcp-option
Deprecated
This operation is deprecated.
Update SSID DHCP option 82 config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidDhcpOptionOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
dhcpEnable | boolean | yes | SSID DHCP Option 82 global config status. True: enable, false: disable. |
format | integer | no | SSID DHCP Option 82 format config; It should be a value as follows: 0: ASCII; 1: Binary. |
delimiter | string | no | SSID DHCP Option 82 delimiter config (A single arbitrary ASCII character is acceptable). |
circuitId | array<integer> | no | SSID DHCP Option 82 Circuit-ID config. Circuit-ID is an array formed in the selected order, with each array element corresponding to the following enumeration values: 1: VLAN-ID; 2: AP Radio Mac-Address; 3: SSID-Type; 4: SSID-Name; 5: AP Ethernet MAC address; 6: Site-Name. As in the example [3,1,2,4], the following enumeration values are selected sequentially on the page: SSID-Type, VLAN-ID, AP Radio Mac-Address and SSID-Name. |
remoteId | array<integer> | no | SSID DHCP Option 82 Remote-ID config. Remote-ID is an array formed in the selected order, with each array element corresponding to the following enumeration values: 1: VLAN-ID; 2: AP Radio Mac-Address; 3: SSID-Type; 4: SSID-Name; 5: AP Ethernet MAC address; 6: Site-Name. As in the example [3,1,2,4], the following enumeration values are selected sequentially on the page: SSID-Type, VLAN-ID, AP Radio Mac-Address and SSID-Name. |
// omada_call_operation
{
"operationId": "updateSsidDhcpOptionConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID DHCP option 82 config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID DHCP option 82 config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidHotspotV2Setting
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-hotspotv2
Deprecated
This operation is deprecated.
Update SSID Hotspot2.0 config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidHotspotV2SettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
hotspotV2Enable | boolean | yes | Whether Hotspot2.0 is enabled.<br />If hotspot2.0 is disabled, other parameters in Hotspot2.0 will be invalid. |
networkType | integer | no | Specify the 802.11u network type.<br /> Parameter networkType should be a value as follows: [0: Private network; 1: Private network with guest access; 2: Chargeable public network; 3: Free public network; 4: Personal device network; 5: Emergency services only network; 14: Test or experimental; 15: Wildcard]. |
plmnId | array<PlmnIdOpenApiVO> | no | PLMN ID list, enter PLMN ID of 802.11u 3GPP cellular network.<br />Note: Up to 6 entries are allowed for the PLMN ID list. |
roamingConsortiumOi | array<RoamingConsortiumOiOpenApiVO> | no | Roaming Consortium Oi list, enter the 802.11u roaming organization identifiers.<br />Note: Up to 3 entries are allowed for the Roaming Consortium Oi list. |
operatorDomain | string | no | Enter the domain name of the hotspot operator.<br />For example, www.omadanetworks.com. |
dgafDisable | boolean | no | Whether to enable DGAF(downstream group-addressed forwarding) disable mode.<br />In DGAF disable mode, the AP will not forward downstream multicast and broadcast packets. |
heSsid | string | no | Homogenous Extended Service Set Identifier, it is used to identify the same type of ESS network set.<br />Note: HESSID should be consistent with one of the BSSIDs of the APs in the zone. |
internet | boolean | no | Internet access support status (network reachability), which indicates that the network is allowed to access the Internet. |
availabilityIpv4 | integer | no | Available type information of IPv4 addresses.<br />Parameter availabilityIpv4 should be a value as follows: [0: Address type not available; 1: Public IPv4 address available; 2: Port-restricted IPv4 address available; 3: Single NATed private IPv4 address available; 4: Double NATed private IPv4 address available; 5: Port-restricted IPv4 address and single NATed IPv4 address available; 6: Port-restricted IPv4 address and double NATed IPv4 address available; 7: Availability of the address type is not known]. |
availabilityIpv6 | integer | no | Available type information of IPv6 addresses.<br /> Parameter availabilityIpv6 should be a value as follows: [0: Address type not available; 1: Address type available; 2: Availability of the address type not known]. |
operatorFriendly | string | no | Hotspot network operator friendly name.<br />Note:Parameter operatorFriendly should contain between 1 and 64 visible ASCII characters, with no Spaces at the beginning and end, and Spaces in between. |
venueInfo | VenueInfoOpenApiVO | no | (VenueInfoOpenApiVO not expanded; call omada_get_schema "VenueInfoOpenApiVO") |
realmList | array<RealmOpenApiVO> | no | Add a profile to identify and describe a NAI (Network Access Identifier) realm accessible using the AP, and the method that this NAI realm uses for authentication.<br />Note: Up to 10 entries are allowed for the NAI Realm list. |
// omada_call_operation
{
"operationId": "updateSsidHotspotV2Setting",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID Hotspot2.0 config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Hotspot2.0 config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33263 - The current combination of Security and WPA Mode does not support Hotspot2.0.
updateSsidLoadBalanceConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-load-balance
Deprecated
This operation is deprecated.
Update SSID load balance config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidLoadBalanceOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | SSID Load Balance global config status. True: enable, false: disable. |
// omada_call_operation
{
"operationId": "updateSsidLoadBalanceConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID load balance config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID load balance config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidMacFilterConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-mac-filter
Deprecated
This operation is deprecated.
Update SSID mac filter config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidMacFilterOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
macFilterEnable | boolean | yes | SSID MAC Filter global config status. True: enable, false: disable. |
policy | integer | no | SSID MAC Filter policy config mode; It should be a value as follows: 0: Deny List, 1: Allow List. |
macFilterId | string | no | This field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface. |
ouiProfileIdList | array<string> | no | This field represents OUI Profile ID list. OUI Profile can be created using Create OUI profile interface, and OUI Profile ID can be obtained from Get OUI profile summary list interface(This configuration applies to the Pro Site of the Omada Pro Controller only). |
// omada_call_operation
{
"operationId": "updateSsidMacFilterConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID MAC filter config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID mac filter config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidMultiCastConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-multicast-config
Deprecated
This operation is deprecated.
Update SSID Multicast/Broadcast management config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidMultiCastOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
multiCastEnable | boolean | yes | Whether to enable multicast to unicast, which is disabled by default; true: enable, false: disable |
channelUtil | integer | yes | This item indicates that when the channel utilization reaches the threshold, multicast will no longer be converted to unicast, the default threshold is 100, and the value should be within the range of 0-100. |
arpCastEnable | boolean | yes | Whether to enable ARP cast to unicast, which is disabled by default; true: enable, false: disable |
ipv6CastEnable | boolean | yes | Whether to enable IPv6 multicast to unicast, which is enabled by default; true: enable, false: disable |
filterEnable | boolean | yes | Whether to enable the multicast filter switch, which is disabled by default; true: enable, false: disable |
filterMode | integer | no | This item indicates the status of the filtering protocol, the lowest low bit indicates whether IGMP is enabled, the second low bit indicates whether MDNS is enabled, and the third low bit indicates whether Others is enabled; 1 means enable while 0 means disable. For example, 7(111) means that all are enabled, 1(001) means that only IGMP is enabled. |
macGroupId | string | no | This field represents MAC Group Profile ID. MAC Group Profile can be created using Create a new group profile interface, and MAC Group Profile ID can be obtained from Get group profile list by type interface. |
// omada_call_operation
{
"operationId": "updateSsidMultiCastConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID Multicast/Broadcast management config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID Multicast/Broadcast management config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidRateControlConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-rate-control
Deprecated
This operation is deprecated.
Update SSID 802.11 rate control config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidRateControlOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
rate2gCtrlEnable | boolean | yes | Whether to enable 2.4GHz Data Rate Control |
lowerDensity2g | number | no | 2.4GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [1, 2, 5.5, 6, 9, 11, 12, 18, 24, 36, 48, 54]. |
higherDensity2g | integer | no | 2.4GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54]. |
cckRatesDisable | boolean | no | Whether to disable 2G CCK Rates. If this field is true, Parameter [lowerDensity2g] can not enter the following values: [1, 2, 5.5, 11]. |
clientRatesRequire2g | boolean | no | Whether to require clients to use rates at or above the specified value of 2.4GHz Data Rate Control. |
sendBeacons2g | boolean | no | Whether to enable send beacons at 1Mbps of 2.4GHz Data Rate Control. |
rate5gCtrlEnable | boolean | yes | Whether to enable 5GHz Data Rate Control. |
lowerDensity5g | integer | no | 5GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54]. |
higherDensity5g | integer | no | 5GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54]. |
clientRatesRequire5g | boolean | no | Whether to require clients to use rates at or above the specified value of 5GHz Data Rate Control. |
sendBeacons5g | boolean | no | Whether to enable send beacons at 6Mbps of 5GHz Data Rate Control. |
rate6gCtrlEnable | boolean | no | Whether to enable 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30. |
lowerDensity6g | integer | no | 6GHz Data Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54].Note: This field will no longer be supported since Omada Controller V5.14.30. |
higherDensity6g | integer | no | 6GHz Data Rate Control higher density value(Unit: Mbps); It should be a value as follows: [54].Note: This field will no longer be supported since Omada Controller V5.14.30. |
clientRatesRequire6g | boolean | no | Whether to require clients to use rates at or above the specified value of 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30. |
sendBeacons6g | boolean | no | Whether to enable send beacons at 6Mbps of 6GHz Data Rate Control. Note: This field will no longer be supported since Omada Controller V5.14.30. |
manageRateControl2gEnable | boolean | no | Whether to enable 2GHz Manage Rate Control. |
manageRateControl2g | number | no | 2.4GHz Manage Rate Control lower density value(Unit: Mbps); It should be a value as follows: [1, 2, 5.5, 6, 9, 11, 12, 18, 24, 36, 48, 54]. The higher density value is fixed at 54. |
manageRateControl5gEnable | boolean | no | Whether to enable 5GHz Manage Rate Control. |
manageRateControl5g | integer | no | 5GHz Manage Rate Control lower density value(Unit: Mbps); It should be a value as follows: [6, 9, 12, 18, 24, 36, 48, 54]. The higher density value is fixed at 54. |
// omada_call_operation
{
"operationId": "updateSsidRateControlConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID 802.11 rate control config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID 802.11 rate control config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidRateLimitConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-rate-limit
Deprecated
This operation is deprecated.
Update SSID rate limit config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidRateLimitOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
clientRateLimit | RateLimitSettingOpenApiVO | no | (RateLimitSettingOpenApiVO not expanded; call omada_get_schema "RateLimitSettingOpenApiVO") |
ssidRateLimit | RateLimitSettingOpenApiVO | no | (RateLimitSettingOpenApiVO not expanded; call omada_get_schema "RateLimitSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "updateSsidRateLimitConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID rate limit config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID rate limit config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidWifiCallingConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-wifi-calling
Deprecated
This operation is deprecated.
Update SSID wifi calling config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateWifiCallingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
wifiCallingEnable | boolean | yes | SSID Wi-Fi Calling global config status. True: enable, false: disable. |
wifiCallingId | string | no | This field represents Wi-Fi Calling Profile ID. Wi-Fi Calling Profile can be created using Create a new wifi calling profile. |
// omada_call_operation
{
"operationId": "updateSsidWifiCallingConfig",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID Wi-Fi Calling config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID wifi calling config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
updateSsidWlanSchedule
PATCH /openapi/v1/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}/ssids/{ssidId}/update-wlan-schedule
Deprecated
This operation is deprecated.
Update SSID WLAN schedule config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
ssidId | path | string | yes | SSID ID |
Request body — application/json (required) — schema UpdateSsidWlanScheduleOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
wlanScheduleEnable | boolean | yes | SSID WLAN schedule global config status. True: enable, false: disable. |
action | integer | no | 0 means radio off, indicating the Wi-Fi function is off during the selected period; 1 means radio on, indicating the Wi-Fi function is on during the selected period. |
scheduleId | string | no | This field represents Time Range Profile ID. Time Range Profile can be created using Create time range profile interface, and Time Range Profile ID can be obtained from Get time range profile list interface. |
// omada_call_operation
{
"operationId": "updateSsidWlanSchedule",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>",
"ssidId": "<ssidId>"
},
"body": "{...}"
}Details, permissions and error codes
Update SSID WLAN schedule config, Legacy note: “wlanId” is the legacy name of “apGroupId”. This endpoint will be deprecated in future releases. Please use Update SSID WLAN schedule config by site.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getSsidListV2
GET /openapi/v2/{omadacId}/sites/{siteId}/wireless-network/ssids
Get SSID list by site
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getSsidListV2",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SSID list by site
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
createSsidV2
POST /openapi/v2/{omadacId}/sites/{siteId}/wireless-network/ssids
Create new SSID v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateSsidOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | SSID name. It should contain 1 to 32 UTF-8 characters. |
deviceType | integer | yes | SSID device type, identify which devices this SSID will take effect; The lowest bit indicates whether [EAP] is included, the second low bit indicates whether [Gateway] is included, 1 means included while 0 means not included; For example, 3(11) means that EAP/Gateway is enabled, 1(01) means that EAP is enabled. |
ssidEnable | boolean | no | SSID enable status. True: enable, false: disable. |
chooseDevices | integer | no | description = select all devices or not. 0 means select all devices, 1 means not select all devices. |
apGroupIds | array<string> | no | AP Group ID list that the SSID is associated with. Supports binding to multiple AP groups. |
band | integer | yes | SSID band. The lowest bit indicates whether 2.4G is included; the second lowest bit indicates whether 5G is included; the third lowest bit indicates whether 6G is included; 1 means included while 0 means not included. For example, 7(111) means that 2G/5G/6G are enabled; 1(001) means that 2G is enabled. (When 5G is included,it means 5G/5G1/5G2 are enabled.) |
guestNetEnable | boolean | yes | SSID guest network config status. True: enable, false: disable. |
security | integer | yes | SSID security mode; Security should be a value as follows: 0: None; 2: WPA-Enterprise; 3: WPA-Personal; 4: PPSK without RADIUS; 5: PPSK with RADIUS. |
broadcast | boolean | yes | SSID broadcast config status. True: enable, false: disable. |
vlanEnable | boolean | yes | SSID VLAN config status. True: enable, false: disable. |
vlanId | integer | no | SSID VLAN ID. This field is required when Parameter [vlanEnable] is true; It should be within the range of 1–4094. If the field vlanSetting is entered, this field must be null. |
pskSetting | SsidPskSettingOpenApiVO | no | (SsidPskSettingOpenApiVO not expanded; call omada_get_schema "SsidPskSettingOpenApiVO") |
entSetting | SsidEnterpriseSettingOpenApiVO | no | (SsidEnterpriseSettingOpenApiVO not expanded; call omada_get_schema "SsidEnterpriseSettingOpenApiVO") |
ppskSetting | SsidPpskSettingOpenApiVO | no | (SsidPpskSettingOpenApiVO not expanded; call omada_get_schema "SsidPpskSettingOpenApiVO") |
mloEnable | boolean | yes | SSID MLO config status. True: enable, false: disable. |
pmfMode | integer | yes | SSID PMF mode. It should be a value as follows: 1: Mandatory; 2: Capable; 3: Disable. |
enable11r | boolean | yes | SSID 802.11r config status. True: enable, false: disable. |
hidePwd | boolean | yes | If this field is true, the SSID password will be hidden. |
greEnable | boolean | no | SSID EoGre Tunnel config status. True: enable, false: disable. This configuration can be enabled only when the [VPN - EoGre Tunnel] global config is enabled;(This configuration applies to the Pro Site of the Omada Pro Controller only). |
vlanSetting | SsidVlanSettingOpenApiVO | no | (SsidVlanSettingOpenApiVO not expanded; call omada_get_schema "SsidVlanSettingOpenApiVO") |
prohibitWifiShare | boolean | no | SSID prohibitWifiShare config status. True: enable, false: disable. |
wifiCallingEnable | boolean | no | SSID Wifi Calling config status. True: enable, false: disable. |
wifiCallingId | string | no | The ID of the Wi-Fi calling profile bound to the SSID. When parameter [wifiCallingEnable] is true, it should not be null. |
enhancedIotConnectivity | boolean | no | SSID Enhanced IoT Connectivity config status. True: enable, false: disable. This configuration can be enabled only when the 5GHz and 6GHz bands are disabled, the parameters [versionEnt] and [versionPsk] are not set to 4, and the following configurations are disabled: [hotspotV2Enable], [bandSteer], [arpCastEnable], [loadBalance], [enable11r], [gikRekeyPskEnable], [pmfMode], [mloEnable]. |
CondBroadcastCtrl | CondBroadcastCtrlVO | no | (CondBroadcastCtrlVO not expanded; call omada_get_schema "CondBroadcastCtrlVO") |
// omada_call_operation
{
"operationId": "createSsidV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new SSID v2
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
-33217 - Invalid SSID security mode.
-33219 - This SSID already exists.
-33220 - Enter a different SSID to override the current SSID.
-33231 - The ssid' s name should not be the same with emergency ssid.
-33240 - The SSID name should be between 1 and 32 bytes.
-33788 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID is not enabled in OUI Based VLAN.
-33807 - Invalid VLAN ID. Enter a number from 1 to 4094.
-34017 - Only the EKMS authentication method in PPSK with RADIUS supports domain name.
getGridWlanGroup
GET /openapi/v2/{omadacId}/sites/{siteId}/wireless-network/wlans
Deprecated
This operation is deprecated.
Get WLAN Group list paging query
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field name |
// omada_call_operation
{
"operationId": "getGridWlanGroup",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get WLAN Group list paging query, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Get AP Group list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getWlanGroup
GET /openapi/v2/{omadacId}/sites/{siteId}/wireless-network/wlans/{wlanId}
Deprecated
This operation is deprecated.
Get WLAN Group by wlan id
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wlanId | path | string | yes | WLAN ID |
// omada_call_operation
{
"operationId": "getWlanGroup",
"params": {
"siteId": "<siteId>",
"wlanId": "<wlanId>"
}
}Details, permissions and error codes
Get WLAN Group by wlan id, Legacy note: “WLAN Group” is the legacy name of “AP Group”. This endpoint will be deprecated in future releases. Please use Get an existing AP Group info.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.